Name: ipsec-tools
Version: 0.3.3
Release: 7%{?dist}
Summary: Tools for configuring and using IPSEC
License: BSD
Group: System Environment/Base
URL: http://ipsec-tools.sourceforge.net/
Source: http://prdownload.sourceforge.net/ipsec-tools/ipsec-tools-%{version}.tar.gz
Source1: ipsec.h
Source2: pfkeyv2.h
Source3: racoon.conf
Source4: psk.txt
Source5: xfrm.h
Source6: udp.h
Patch: ipsec-tools-0.2.4-racoon-dest.patch
Patch2: isakmp.c.diff
Patch3: ipsec-tools-0.3.3-stdin.patch
Patch4: ipsec-tools-fix.diff
Patch5: ipsec-tools-adminport.patch
Patch6: ipsec-tools-0.3.3-fwd.patch
Patch7: ipsec-tools-0.5-64bit.patch
Patch8: ipsec-tools-CVE-2005-3732.patch
Patch9: ipsec-tools-0.3.3-leaks.patch
BuildPrereq: openssl-devel, krb5-devel, bison, flex
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: initscripts >= 7.31.11.EL-1

%description
This is the IPsec-Tools package.  You need this package in order to
really use the IPsec functionality in the linux-2.5+ kernels.  This
package builds:
 
	- setkey, a program to directly manipulate policies and SAs
	- racoon, an IKEv1 keying daemon

%prep
%setup -q
%patch -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1 -b .fwd
%patch7 -p1
%patch8 -p1 -b .CVE-2005-3732
%patch9 -p1 -b .leaks

mkdir -p kernel-headers/linux
cp %{SOURCE1} %{SOURCE2} %{SOURCE5} %{SOURCE6} kernel-headers/linux

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --exec-prefix=/ \
 --libdir=/%{_lib} \
 --sysconfdir=/etc \
 --mandir=%{_mandir} \
 --with-kernel-headers=`pwd`/kernel-headers \
 --enable-adminport
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make install DESTDIR=$RPM_BUILD_ROOT
# no devel stuff for now
rm -rf $RPM_BUILD_ROOT/%{_lib}/libipsec.{a,la} \
      $RPM_BUILD_ROOT/%{_includedir} \
      $RPM_BUILD_ROOT/%{_mandir}/man3

rm -f $RPM_BUILD_ROOT/etc/racoon/{psk.txt,psk.txt.dist,racoon.conf,racoon.conf.dist}
install -m 600 %{SOURCE3} \
  $RPM_BUILD_ROOT/etc/racoon/racoon.conf
install -m 600 %{SOURCE4} \
  $RPM_BUILD_ROOT/etc/racoon/psk.txt
  
  
  
mkdir -m 0700 -p $RPM_BUILD_ROOT/etc/racoon/certs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc src/racoon/samples/racoon.conf src/racoon/samples/psk.txt
%doc src/racoon/doc/FAQ
%doc ChangeLog NEWS README
/sbin/*
%{_sbindir}/*
%{_mandir}/man*/*
%dir /etc/racoon
%dir /etc/racoon/certs
%config(noreplace) /etc/racoon/psk.txt
%config(noreplace) /etc/racoon/racoon.conf

%changelog
* Wed Aug 13 2008 Tomas Mraz <tmraz@redhat.com> 0.3.3-7
- fix for DoS through various memory leaks (CVE-2008-3651 #456660,
  CVE-2008-3652 #458846)

* Wed Dec 14 2005 Harald Hoyer <harald@redhat.com> 0.3.3-6.rhel4.1
- add patch for DoS (CVE-2005-3732, #173841)

* Fri Mar 11 2005 Bill Nottingham <notting@redhat.com> 0.3.3-6
- backport support for forward policies from 0.5 (#150179, others)

* Fri Feb 25 2005 Bill Nottingham <notting@redhat.com> 0.3.3-5
- add patch for potential validation issue when parsing isakmp headers
- correct handling of adminport on startup (#148950)

* Thu Nov  4 2004 Bill Nottingham <notting@redhat.com> 0.3.3-2.1
- don't use new 0.3.3 handling of stdin in setkey; it breaks the
  format (#138105)

* Mon Sep 27 2004 Bill Nottingham <notting@redhat.com> 0.3.3-1
- update to 0.3.3 (#122211)

* Sun Aug 08 2004 Alan Cox <alan@redhat.com> 0.2.5-6
- fix buildreqs (Steve Grubb)

* Mon Jun 28 2004 Nalin Dahyabhai <nalin@redhat.com> 0.2.5-5
- rebuild

* Fri Jun 25 2004 Nalin Dahyabhai <nalin@redhat.com> 0.2.5-4
- backport certificate validation fixes from 0.3.3 (#126568)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 14 2004 Bill Nottingham <notting@redhat.com> - 0.2.5-2
- add patch for potential remote DoS (CAN-2004-0403)

* Tue Apr  6 2004 Bill Nottingham <notting@redhat.com>
- update to 0.2.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 23 2004 Bill Nottingham <notting@redhat.com>
- update to 0.2.4, fix racoon install location (#116374, <kajtzu@fi.basen.net>)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec  8 2003 Bill Nottingham <notting@redhat.com> 0.2.2-8
- rebuild

* Fri Aug 29 2003 Bill Nottingham <notting@redhat.com> 0.2.2-7
- add fix for #103238

* Tue Aug  5 2003 Bill Nottingham <notting@redhat.com> 0.2.2-6
- update kernel interface bits, rebuild against them

* Tue Jul 29 2003 Bill Nottingham <notting@redhat.com> 0.2.2-5
- rebuild

* Wed Jul  2 2003 Bill Notitngham <notting@redhat.com> 0.2.2-4
- ship a much more pared-down racoon.conf and psk.txt

* Thu Jun  5 2003 Bill Notitngham <notting@redhat.com> 0.2.2-3
- update pfkey header for current kernels

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May  2 2003 Bill Nottingham <notting@redhat.com> 0.2.2-1
- update to 0.2.2

* Fri Mar  7 2003 Bill Nottingham <notting@redhat.com>
- initial build
